import 'package:flutter_tracker/model/base_model.dart';

/// Description:
/// Time       : 2021年12月03日 Friday
/// Author     : liuyuqi.gov@msncn
class LoginEntity extends BaseModel {
  late LoginModel loginModel;

  LoginEntity.fromJson(Map<String, dynamic> json) {
    LoginEntity base = BaseModel.fromJson(json) as LoginEntity;
    if (base.success) {
      loginModel = LoginModel.fromJson(json["data"]);
    }
  }
}

class LoginModel {
  String token = "";
  LoginModel(this.token);
  LoginModel.fromJson(Map<String, dynamic> json) {
    token = json["token"];
  }
}
